org.richfaces.ui.select.pickList

## Class PickListRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.ui.input.InputRendererBase
      - - org.richfaces.ui.select.SelectManyRendererBase
        - - org.richfaces.ui.select.pickList.PickListRendererBase

- Direct Known Subclasses:
    PickListRenderer

      public abstract class PickListRendererBase
      extends SelectManyRendererBase

  Base class for the pickList renderer
  Author:
    Brian Leathem

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PickListRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Iterator<ClientSelectItem>` | `getSourceSelectItems(List<ClientSelectItem> clientSelectItems)`
    `protected Iterator<ClientSelectItem>` | `getTargetSelectItems(List<ClientSelectItem> clientSelectItems)`

    - ### Methods inherited from class org.richfaces.ui.select.SelectManyRendererBase

      `csvEncodeSelectedItems, doDecode, getClientSelectItems, getConvertedValue, hasColumnChildren, isHeaderExists`

    - ### Methods inherited from class org.richfaces.ui.input.InputRendererBase

      `getInputValue`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RENDERER_TYPE

          public static final String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PickListRendererBase

          public PickListRendererBase()

  - ### Method Detail

    - #### getSourceSelectItems

          protected Iterator<ClientSelectItem> getSourceSelectItems(List<ClientSelectItem> clientSelectItems)

    - #### getTargetSelectItems

          protected Iterator<ClientSelectItem> getTargetSelectItems(List<ClientSelectItem> clientSelectItems)

Copyright © 2014 JBoss by Red Hat. All rights reserved.